Page MenuHomePhabricator

Upgrade to PHP 7.2.24
Closed, ResolvedPublic

Description

7.2.24 packages have been built and smoke-tested on mwdebug1002. These are again affected by a conffile change (a deprecated option is now removed from the shipped config file), so same workaround like https://phabricator.wikimedia.org/T231881#5461376 is needed to deploy.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMon, Nov 4, 11:04 AM

Mentioned in SAL (#wikimedia-operations) [2019-11-04T11:08:38Z] <moritzm> uploaded PHP 7.2.24 to apt.wikimedia.org stretch-wikimedia/component/php72 (T237239)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T12:00:54Z] <moritzm> upgrading mw1261 to PHP 7.2.24 (T237239)

MoritzMuehlenhoff triaged this task as Normal priority.Mon, Nov 4, 4:05 PM

Mentioned in SAL (#wikimedia-operations) [2019-11-06T08:51:31Z] <moritzm> upgrading remaining mwdebug* servers to PHP 7.2.24 T237239

Mentioned in SAL (#wikimedia-operations) [2019-11-06T09:46:13Z] <moritzm> upgrading mw1262-mw1265,mw1276 servers to PHP 7.2.24 T237239

Mentioned in SAL (#wikimedia-operations) [2019-11-07T10:28:29Z] <moritzm> upgrading mw1277-1279 servers to PHP 7.2.24 T237239

Mentioned in SAL (#wikimedia-operations) [2019-11-11T12:28:16Z] <effie> Upgrade mw2* to 7.2.24-1 with elegance and restart php-fpm - T237239

Mentioned in SAL (#wikimedia-operations) [2019-11-11T12:46:52Z] <effie> Upgrade to 7.2.24-1 mwdebug[2001-2002].codfw.wmnet,mwmaint2001.codfw.wmnet,deploy2001.codfw.wmnet - T237239

jijiki claimed this task.Tue, Nov 12, 11:43 AM
jijiki moved this task from Backlog to Doing on the serviceops board.

Mentioned in SAL (#wikimedia-operations) [2019-11-12T11:44:14Z] <effie> Upgrade wtp* to 7.2.24-1 with elegance and restart php-fpm - T237239

Mentioned in SAL (#wikimedia-operations) [2019-11-13T11:56:30Z] <effie> Upgrade to php 7.2.24-1 mediawiki eqiad hosts and restart php-fpm - T237239

jijiki added a subscriber: Dzahn.EditedWed, Nov 13, 5:35 PM

@Dzahn I have left only phab* and scandium, can you take care of them? :)

'export DEBIAN_FRONTEND=noninteractive; apt-get install php7.2-bcmath php7.2-bz2 php7.2-cli php7.2-common php7.2-curl php7.2-dba php7.2-fpm php7.2-gd php7.2-gmp php7.2-intl php7.2-json php7.2-mbstring php7.2-mysql php7.2-opcache php7.2-readline php7.2-xml -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold"'
jijiki reassigned this task from jijiki to Dzahn.Wed, Nov 13, 5:35 PM
jijiki added a subscriber: jijiki.

Mentioned in SAL (#wikimedia-operations) [2019-11-14T16:09:07Z] <mutante> phab2001 - upgrading PHP version to 7.2.24 (T237239)

Mentioned in SAL (#wikimedia-operations) [2019-11-14T18:31:43Z] <mutante> phabricator (phab1003, prod server) - upgrade PHP version to 7.2.24 (T237239)

Dzahn closed this task as Resolved.Thu, Nov 14, 6:39 PM

@jijiki Done!

@MoritzMuehlenhoff I see no more yellow or red in debmonitor for PHP 7.2 packages, only for PHP 7.0 packages.